/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'Background'
   (function(symbolName) {   
   
   })("Background");
   //Edge symbol end:'Background'

   //=========================================================
   
   //Edge symbol: 'btn_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1425, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn}", "click", function(sym, e) {
         sym.play("ON");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_1").show();
         sym.getComposition().getStage().getSymbol("pop_1").play(1);
         
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");
         sym.getComposition().getStage().$("pop_4").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnCopy}", "click", function(sym, e) {
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_1").show();
         sym.getComposition().getStage().getSymbol("pop_1").play(1);
         
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");
         sym.getComposition().getStage().$("pop_4").fadeOut("slow");

      });
      //Edge binding end

   })("btn_1");
   //Edge symbol end:'btn_1'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      

      

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "mouseleave", function(sym, e) {
         sym.stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "mouseenter", function(sym, e) {
         sym.stop("down");

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();
         
         
         // Mostrar un elemento 
         //sym.getComposition().getStage().getSymbol("Background").$("btn_2").fadeIn("slow");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("Background").$("btn_2").fadeIn("slow");

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("Background").$("btn_3").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();
         
         // Mostrar un elemento 
         //sym.getComposition().getStage().getSymbol("Background").$("btn_3").fadeIn("slow");

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("Background").$("btn_4").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();
         
         // Mostrar un elemento 
         //sym.getComposition().getStage().getSymbol("Background").$("btn_4").fadeIn("slow");

      });
      //Edge binding end

   })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("pop_4");
   //Edge symbol end:'pop_4'

   //=========================================================
   
   //Edge symbol: 'btn_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1425, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn}", "click", function(sym, e) {
         sym.play("ON");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_2").show();
         sym.getComposition().getStage().getSymbol("pop_2").play(1);
         
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");
         sym.getComposition().getStage().$("pop_4").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnCopy}", "click", function(sym, e) {
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_2").show();
         sym.getComposition().getStage().getSymbol("pop_2").play(1);
         
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");
         sym.getComposition().getStage().$("pop_4").fadeOut("slow");

      });
      //Edge binding end

   })("btn_2");
   //Edge symbol end:'btn_2'

   //=========================================================
   
   //Edge symbol: 'btn_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1425, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn}", "click", function(sym, e) {
         sym.play("ON");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_3").show();
         sym.getComposition().getStage().getSymbol("pop_3").play(1);
         
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         sym.getComposition().getStage().$("pop_4").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnCopy}", "click", function(sym, e) {
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_3").show();
         sym.getComposition().getStage().getSymbol("pop_3").play(1);
         
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         sym.getComposition().getStage().$("pop_4").fadeOut("slow");

      });
      //Edge binding end

   })("btn_3");
   //Edge symbol end:'btn_3'

   //=========================================================
   
   //Edge symbol: 'btn_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1425, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn}", "click", function(sym, e) {
         sym.play("ON");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_4").show();
         sym.getComposition().getStage().getSymbol("pop_4").play(1);
         
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnCopy}", "click", function(sym, e) {
         // Mostrar un elemento 
         sym.getComposition().getStage().$("pop_4").show();
         sym.getComposition().getStage().getSymbol("pop_4").play(1);
         
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");

      });
      //Edge binding end

   })("btn_4");
   //Edge symbol end:'btn_4'

})(jQuery, AdobeEdge, "EDGE-94063035");